FDFORMAT(1)

NAME
fdformat - format floppy disks

SYNOPSIS
fdformat [-nqv] [-c cyls] [-F fillbyte] [-g gap3len] [-h heads] [-i intleave] [-r rate] [-S secshft] [-s secs] [-t steps_per_track] device_name

DESCRIPTION
fdformat formats a floppy disk at device device_name. device_name should be a character device; it may be given either with a full path name of a raw device node for a floppy disk drive (e.g., /dev/rfd0c), or default name in an abbreviated form, (e.g., fd0). Note that any geometry constraints of the device node (minor device number) are meaningless, since they're overridden by fdformat.

The options are as follows:

-n  Don't verify floppy after formatting.

-q  Suppress any normal output from the command, and don't ask the user for confirmation whether to format the floppy disk at device_name.

-v  Don't format; verify only.

-c cyls
-F fillbyte
-g gap3len
-h heads
-i intleave
-r rate
-S secshft
-s secs
-t steps_per_track
    An alternate method to specify the geometry data to write to the floppy disk.

If the -q flag has not been specified, the user is asked for confirmation of the intended formatting process. In order to continue, an answer of “y” must be given.

DIAGNOSTICS
Unless -q has been specified, a single letter is printed to standard output to inform the user about the progress of work. First, an “F” is printed when the track(s) is being formatted, then a “V” while it's being verified, and if an error has been detected, it will finally change to “E”.

An exit status of 0 is returned upon successful operation. Exit status 1 is returned on any errors during floppy formatting, and an exit status of 2 reflects invalid arguments given to the program (along with appropriate information written to diagnostic output).

SEE ALSO
fdc(4)

HISTORY
fdformat was developed for 386BSD 0.1 and upgraded to the new fdc(4) floppy disk driver. It later became part of FreeBSD 1.1, and was then ported to OpenBSD 1.2.

AUTHORS
The program was contributed by Joerg Wunsch, Dresden, with changes by Serge Vakulenko and Andrew A. Chernov, Moscow.